Test a workflow

Base URL
https://{kibana_url}
  • POST /api/workflows/test
  • POST /s/{space_id}/api/workflows/test
Auth

Execute a workflow in test mode without requiring it to be saved or enabled. Provide either a workflow ID to test a saved workflow, a YAML definition to test an unsaved draft, or both to test a modified version of an existing workflow.

Required privileges

Privileges workflowsManagement:execute

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

inputs map string to object required

Key-value inputs for the test execution.

workflowId string

ID of an existing workflow to test.

workflowYaml string

YAML definition to test.

Response

200

Indicates a successful response

application/json
Base URL
https://{kibana_url}